<app-gift-card-types></app-gift-card-types>
<div class="progress" id="scrollToCardDetails">
    <div class="progress-bar" role="progressbar" style="width: 75%" aria-valuenow="25" aria-valuemin="0"
        aria-valuemax="100"></div>
</div>

<div class="card-main">
    <div class="row">
        <div class="col-md-6">
            <div class="cotainer">
                <div class="cursor mb-2" (click)="back()">
                    <svg width="18" height="12" viewBox="0 0 18 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M17.75 5.99981C17.75 6.16557 17.6842 6.32454 17.5669 6.44175C17.4497 6.55897 17.2908 6.62481 17.125 6.62481L2.38375 6.62481L6.3175 10.5573C6.43486 10.6747 6.50079 10.8338 6.50079 10.9998C6.50079 11.1658 6.43486 11.325 6.3175 11.4423C6.20014 11.5597 6.04097 11.6256 5.875 11.6256C5.70903 11.6256 5.54986 11.5597 5.4325 11.4423L0.432499 6.44231C0.374296 6.38425 0.328117 6.31528 0.29661 6.23935C0.265102 6.16342 0.248882 6.08202 0.248882 5.99981C0.248882 5.9176 0.265102 5.8362 0.29661 5.76027C0.328117 5.68434 0.374296 5.61537 0.432499 5.55731L5.4325 0.557312C5.54986 0.439954 5.70903 0.374023 5.875 0.374023C6.04097 0.374023 6.20014 0.439954 6.3175 0.557312C6.43486 0.674671 6.50079 0.833843 6.50079 0.999812C6.50079 1.16578 6.43486 1.32495 6.3175 1.44231L2.38375 5.37481L17.125 5.37481C17.2908 5.37481 17.4497 5.44066 17.5669 5.55787C17.6842 5.67508 17.75 5.83405 17.75 5.99981Z"
                            fill="black" />
                    </svg>

                </div>
                <div class="title">
                    Upload Template (Excel)
                </div>
                <form>
                    <div class="desription">
                        Kindly upload the populated template of contacts you wish to give multiple "Gift Cards" to
                        proceed to checkout.
                    </div>
                    <div class="download-box" appDragDrop (onFileDropped)="uploadFile($event)"
                        (click)="uploadInputFile.click()">
                        <div>
                            <svg width="29" height="37" viewBox="0 0 29 37" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <path
                                    d="M28.1261 9.15155L19.567 0.50512C19.3284 0.264049 19.0062 0.127441 18.6682 0.127441H1.77273C1.06875 0.127441 0.5 0.701995 0.5 1.41316V34.8417C0.5 35.5529 1.06875 36.1274 1.77273 36.1274H27.2273C27.9312 36.1274 28.5 35.5529 28.5 34.8417V10.0636C28.5 9.72208 28.3648 9.39262 28.1261 9.15155ZM25.5648 10.6542H18.0795V3.09262L25.5648 10.6542ZM25.6364 33.2346H3.36364V3.0203H15.375V11.6989C15.375 12.1464 15.551 12.5756 15.8643 12.8921C16.1775 13.2086 16.6024 13.3864 17.0455 13.3864H25.6364V33.2346ZM15.7727 16.5203C15.7727 16.3435 15.6295 16.1989 15.4545 16.1989H13.5455C13.3705 16.1989 13.2273 16.3435 13.2273 16.5203V20.8596H8.93182C8.75682 20.8596 8.61364 21.0042 8.61364 21.181V23.1096C8.61364 23.2864 8.75682 23.431 8.93182 23.431H13.2273V27.7703C13.2273 27.9471 13.3705 28.0917 13.5455 28.0917H15.4545C15.6295 28.0917 15.7727 27.9471 15.7727 27.7703V23.431H20.0682C20.2432 23.431 20.3864 23.2864 20.3864 23.1096V21.181C20.3864 21.0042 20.2432 20.8596 20.0682 20.8596H15.7727V16.5203Z"
                                    fill="#562A83" />
                            </svg>
                        </div>
                        <p>Drag or Upload Document in the format downloaded (exl)</p>
                    </div>
                    <input #uploadInputFile type="file" name="upload" id="upload" hidden (change)="uploadFile($event)">
                    <div class="d-grid">
                        <button *ngIf="!isValid" type="button" class="btn btn-primary" (click)="uploadInputFile.click()">
                            <i class="fas fa-cloud-upload"></i> <span class="ms-2">Upload</span>
                            <div class="loader ms-4" *ngIf="isLoading"></div>
                        </button>
                        <button *ngIf="isValid" type="button" class="btn btn-primary mt-2"
                            (click)="goToPreview()">
                            <span class="ms-2">Proceed to continue</span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-md-6">
            <div class="container">
                <app-gift-card-image [amount]="amount"></app-gift-card-image>
            </div>
        </div>
    </div>
</div>